# 	$Id: initscripts.spec 252003 2009-01-22 17:26:21Z eugeni $	

# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

%define with_upstart 0
%define with_systemd 0

Summary: The inittab file and the /etc/init.d scripts
Name: initscripts
Version: 9.25
Release: %mkrel 20
License: GPLv2 and GPLv2+
Group: System/Base
Source0: initscripts-%{version}.tar.xz
Source1: rc.sysinit
Source2: functions
Source3: halt
Source4: mandrake_everytime
Source5: rc.local
Source6: rc
Source7: network
Source8: prefdm
Source9: touchpadfix
Source10: sysctl.conf
Patch0:	initscripts-mdkconf.patch
BuildRoot: /%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: mingetty
Requires: gawk
Requires: sed
Requires: mktemp
Requires: e2fsprogs
Requires: procps
Requires: gettext-base
Requires: module-init-tools
Requires: kbd
Requires: psmisc
Requires: which
Requires: setup
Requires: SysVinit
Requires: iproute2
Requires: iputils
Requires: net-tools
Requires: findutils
Requires: sysvinit-tools
Requires: perl-MDK-Common
Requires: ifplugd
Requires: ethtool
Obsoletes: rhsound sapinit
Provides: rhsound sapinit
Requires: util-linux-ng
Requires: mount
Requires: udev
Requires: ifmetric
Requires: resolvconf
Requires: dmsetup
Requires: prcsys
Requires(post): /usr/bin/tr grep, chkconfig >= 1.3.37-3mdk
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: popt-devel
BuildRequires: python
URL: http://www.liberainformatica.it/forum/forumdisplay.php?fid=25

#this is required since latest glibc (new atomic OPs?)
%define _requires_exceptions GLIBC_PRIVATE


%description
The initscripts package contains the basic system scripts used to boot
your Mandriva Linux system, change run levels, and shut the system
down cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

%package -n debugmode
Summary: Scripts for running in debugging mode
Requires: initscripts
Group: System/Base

%description -n debugmode
The debugmode package contains some basic scripts that are used to run
the system in a debugging mode.

Currently, this consists of various memory checking code.

%prep
%setup -q
rm -rf po
%patch0 -p0
rm -f po
ln -s mandriva/po

# Change name
for i in $(find . -type f ); do sed -i 's/pclinuxos/uplos/g' "$i";done
for i in $(find . -type f ); do sed -i 's/PCLinuxOS/UPLOS/g' "$i";done

gzip -9 mandriva/ChangeLog
mv ChangeLog ChangeLog-RH
gzip -9 ChangeLog-RH

%build
make
make -C mandriva CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make ROOT=$RPM_BUILD_ROOT SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install

#MDK
make -C mandriva install ROOT=$RPM_BUILD_ROOT mandir=%{_mandir}

python mandriva/gprintify.py \
	`find %{buildroot}/etc/rc.d -type f` \
	`find %{buildroot}/sysconfig/network-scripts -type f` \
	%{buildroot}/lib/systemd/fedora-* \
	%{buildroot}/lib/systemd/mandriva-*


%find_lang %{name}

 mv -f $RPM_BUILD_ROOT/etc/inittab.sysv $RPM_BUILD_ROOT/etc/inittab
 rm -rf $RPM_BUILD_ROOT/etc/event.d
 rm -rf $RPM_BUILD_ROOT/etc/init
 rm -f $RPM_BUILD_ROOT/etc/inittab.*

%ifnarch s390 s390x
rm -f \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-ctc \
 $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/ifup-iucv \
 $RPM_BUILD_ROOT/lib/udev/rules.d/55-ccw.rules \
 $RPM_BUILD_ROOT/lib/udev/ccw_init
%else
rm -f \
 $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit.s390init \
 $RPM_BUILD_ROOT/etc/sysconfig/init.s390
%endif

# remove unused hotplug helper and ipsec/isdn stuff
rm -f $RPM_BUILD_ROOT/etc/sysconfig/network-scripts/{ifdown-ippp,ifup-ippp,ifdown-ipsec,ifup-ipsec,net.hotplug}

# we use network rules from the udev package
rm -f $RPM_BUILD_ROOT/lib/udev/rules.d/60-net.rules

# we have our own copy of gprintify
export DONT_GPRINTIFY=1

# install custom rc.sysinit file
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/rc.sysinit

# install custom functions file
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/etc/rc.d/init.d

# install custom halt file
install -m 0755 %SOURCE3 $RPM_BUILD_ROOT/etc/rc.d/init.d

# install custom mandrake_everytime file
install -m 0755 %SOURCE4 $RPM_BUILD_ROOT/etc/rc.d/init.d

# install custom rc.local
install -m 0755 %SOURCE5 $RPM_BUILD_ROOT/etc/rc.d/rc.local

# install custom network
install -m 0755 %SOURCE6 $RPM_BUILD_ROOT/etc/rc.d/rc

#install custom rc
install -m 0755 %SOURCE7 $RPM_BUILD_ROOT/etc/rc.d/init.d/network

#install updated prefdm for lxdm support
install -m 0755 %SOURCE8 $RPM_BUILD_ROOT/etc/X11/prefdm

#install custom sysctl.conf
install -m 0644 %SOURCE10 $RPM_BUILD_ROOT/etc/sysctl.conf

%if !%{with_systemd}
 rm -rf $RPM_BUILD_ROOT/lib/systemd
%endif

install -d -m 0755 %{buildroot}/%{_sysconfdir}/sysctl.d

# install touchpadfix.sh
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -m 755 %SOURCE9 $RPM_BUILD_ROOT%{_sbindir}/touchpadfix.sh

%post
##Fixme
touch /etc/sysconfig/i18n
##
touch /var/log/wtmp /var/run/utmp /var/log/btmp
chown root:utmp /var/log/wtmp /var/run/utmp /var/log/btmp
chmod 664 /var/log/wtmp /var/run/utmp
chmod 600 /var/log/btmp

%_mypost_service partmon

%_mypost_service network

%_mypost_service network-up

%_mypost_service dm

%_mypost_service netconsole

%_mypost_service netfs

# /etc/sysconfig/desktop format has changed
if [ -r /etc/sysconfig/desktop ]; then
    if ! grep -q = /etc/sysconfig/desktop; then
        DESK=`cat /etc/sysconfig/desktop`
        echo "DESKTOP=$DESK" > /etc/sysconfig/desktop
    fi
fi

# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do
	if [ -r %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo ]; then
		mkdir -p /etc/locale/$i/LC_MESSAGES/
		cp %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo \
			/etc/locale/$i/LC_MESSAGES/
                #
		# warly
		# FIXME: this should be done by each locale when installed or upgraded
		#
		pushd %{_datadir}/locale/$i/ > /dev/null && for j in LC_*
		do
			if [ -r $j -a ! -d $j ]; then
			    cp $j /etc/locale/$i/
			fi
		done && popd > /dev/null
		if [ -r %{_datadir}/locale/$i/LC_MESSAGES/SYS_LC_MESSAGES ]; then
			cp %{_datadir}/locale/$LANG/LC_MESSAGES/SYS_LC_MESSAGES /etc/locale/$i/LC_MESSAGES/
		fi
		#
		#
		break
	fi
done

%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && egrep -q 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

# only needed on upgrade
if [ $1 != 0 ]; then
	# handle the switch to an independant prefdm initscript
	if grep -q '^x:5' /etc/inittab; then
		rm -f /etc/inittab.new
		sed 's/x:5/#x:5/' < /etc/inittab > /etc/inittab.new
		mv -f /etc/inittab.new /etc/inittab
		chkconfig --add dm || :
	fi

	# handle single user mode declaration
	if ! grep -q '..:S:' /etc/inittab; then
		cat >> /etc/inittab <<EOF

# Single user mode
~~:S:wait:/bin/sh
EOF
	fi
	
	# Handle boot sequence changes on upgrade
	%initlvl_chg partmon 80 13
	
fi

%pre
#backup custom rc.local folder
cp /etc/rc.d/rc.local /opt/rc.local.bakup
rm -f /etc/rc.d/rc.local
rm -f /etc/sysctl.conf

%preun
%_preun_service netfs

%_preun_service netconsole

%_preun_service dm

%_preun_service network-up

%_preun_service network

%_preun_service partmon

%triggerpostun -- initscripts <= 4.72

. /etc/sysconfig/init
. /etc/sysconfig/network

# These are the non-default settings. By putting them at the end
# of the /etc/sysctl.conf file, it will override the default
# settings earlier in the file.

if [ -n "$FORWARD_IPV4" -a "$FORWARD_IPV4" != "no" -a "$FORWARD_IPV4" != "false" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "net.ipv4.ip_forward = 1" >> /etc/sysctl.conf
fi

newnet=`mktemp /etc/sysconfig/network.XXXXXX`
if [ -n "$newnet" ]; then
  sed "s|FORWARD_IPV4.*|# FORWARD_IPV4 removed; see /etc/sysctl.conf|g" \
   /etc/sysconfig/network > $newnet
  sed "s|DEFRAG_IPV4.*|# DEFRAG_IPV4 removed; obsolete in 2.4. kernel|g" \
   $newnet > /etc/sysconfig/network
  rm -f $newnet
fi

if [ -n "$MAGIC_SYSRQ" -a "$MAGIC_SYSRQ" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.sysrq = 1" >> /etc/sysctl.conf
fi
if uname -m | grep -q sparc ; then
   if [ -n "$STOP_A" -a "$STOP_A" != "no" ]; then
	echo "# added by initscripts install on `date`" >> /etc/sysctl.conf
	echo "kernel.stop-a = 1" >> /etc/sysctl.conf
   fi
fi

%triggerun -- initscripts < 7.62
/sbin/chkconfig --del random
/sbin/chkconfig --del rawdevices
exit 0

%triggerpostun -- initscripts <= 8.38-2
/sbin/chkconfig --add network-up
exit 0

%triggerpostun -- initscripts < 8.54-4
echo "disabling supermount which is not supported anymore"
/usr/sbin/supermount -i disable
exit 0

%triggerpostun -- initscripts < 8.88-5
/sbin/chkconfig --level 7 dm reset

%postun
if [ -f /var/lock/TMP_1ST ];then 
		rm -f /var/lock/TMP_1ST
fi
if [ "$1" = "0" ]; then
	for i in /etc/locale/*/LC_MESSAGES/initscripts.mo
	do
		rm -f $i
		rmdir `dirname $i` >/dev/null 2> /dev/null
	done
	rmdir /etc/locale/* >/dev/null 2> /dev/null
fi

%posttrans
if [ -f /etc/inittab.rpmsave ];then 
mv /etc/inittab.rpmsave /etc/inittab
fi 

if [ -f /etc/inittab.rpmnew ];then 
rm -rf /etc/inittab.rpmnew
fi 


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir /etc/sysconfig/network-scripts
%dir /etc/sysconfig/network-scripts/ifup.d
%dir /etc/sysconfig/network-scripts/ifdown.d
%dir /etc/sysconfig/network-scripts/wireless.d
%dir /etc/sysconfig/network-scripts/vpn.d
%dir /etc/sysconfig/network-scripts/vpn.d/openvpn
%dir /etc/sysconfig/network-scripts/vpn.d/pptp
%dir /etc/sysconfig/network-scripts/vpn.d/vpnc
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
%config(noreplace) /etc/sysconfig/autofsck
%config(noreplace) /etc/sysconfig/partmon
%config(noreplace) /etc/sysconfig/netconsole
%config(noreplace) /etc/sysconfig/readonly-root
%config(noreplace) /etc/sysconfig/speedboot
/etc/sysconfig/network-scripts/ifdown
/sbin/ifdown
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
/sbin/ifup
%{_sbindir}/touchpadfix.sh
%dir /etc/sysconfig
%dir /etc/sysconfig/console
%dir /etc/sysconfig/console/consoletrans
%dir /etc/sysconfig/console/consolefonts
%dir /etc/sysconfig/modules
%dir /etc/sysconfig/networking
%dir /etc/sysconfig/networking/devices
%dir /etc/sysconfig/networking/profiles
%dir /etc/sysconfig/networking/profiles/default
/etc/sysconfig/network-scripts/network-functions
/etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifup-ipx
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifdown-ppp
/etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup-aliases
#/etc/sysconfig/network-scripts/ifup-ippp
#/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifup-wireless
/etc/sysconfig/network-scripts/ifup-hso
/etc/sysconfig/network-scripts/ifdown-hso
/etc/X11/prefdm
/etc/X11/lookupdm
%dir /etc/X11/xsetup.d
/etc/X11/xsetup.d/90speedboot.xsetup
%config(noreplace) /etc/networks 
/etc/rwtab
%dir /etc/rwtab.d
/etc/statetab
%dir /etc/statetab.d
%if %{with_upstart}
%config(noreplace) /etc/event.d/*
/etc/init/*
%endif
/lib/udev/rules.d/*
%config(noreplace) /etc/inittab
%config(noreplace missingok) /etc/rc.d/rc[0-9].d/*
/etc/rc[0-9].d
/etc/rcS.d
/etc/rc
%dir /etc/rc.d/init.d
/etc/rc.local
/etc/rc.sysinit
/lib/lsb/init-functions
/etc/rc.d/init.d/*
/etc/rc.d/rc
/etc/rc.d/rc.local
/etc/rc.d/rc.sysinit
/etc/sysctl.conf
%dir /etc/sysctl.d
%exclude /etc/profile.d/debug*
%config /etc/profile.d/*
%dir /etc/sysconfig/network-scripts/cellular.d
%dir /etc/sysconfig/network-scripts/hostname.d
/etc/sysconfig/network-scripts/ifup.d/vpn
/etc/sysconfig/network-scripts/ifdown.d/vpn
/usr/sbin/vpn-start
/usr/sbin/vpn-stop
/usr/sbin/mdv-network-event
/usr/sbin/sys-unconfig
/bin/ipcalc
/bin/usleep
%attr(4755,root,root) /usr/sbin/usernetctl
/sbin/consoletype
/sbin/fstab-decode
/sbin/genhostid
/sbin/getkey
/sbin/securetty
%attr(2755,root,root) /sbin/netreport
/lib/udev/rename_device
/lib/udev/console_init
/lib/udev/console_check
%ifarch s390 s390x
/lib/udev/ccw_init
%endif
/sbin/service
/sbin/sushell
#mdv
/sbin/hibernate-cleanup.sh
/sbin/ppp-watch
%{_mandir}/man*/*
%lang(cs)	%{_mandir}/cs/man*/*
%lang(et)	%{_mandir}/et/man*/*
%lang(fi)	%{_mandir}/fi/man*/*
%lang(fr)	%{_mandir}/fr/man*/*
%lang(it)	%{_mandir}/it/man*/*
%lang(pt_BR)	%{_mandir}/pt_BR/man*/*
%lang(ru)	%{_mandir}/ru/man*/*
%lang(uk)	%{_mandir}/uk/man*/*
%dir %attr(775,root,root) /var/run/netreport
%dir /etc/ppp
%dir /etc/ppp/ip-down.d
%dir /etc/ppp/ip-up.d
%dir /etc/ppp/peers
/etc/ppp/ip-up
/etc/ppp/ip-down
/etc/ppp/ip-up.ipv6to4
/etc/ppp/ip-down.ipv6to4
/etc/ppp/ipv6-up
/etc/ppp/ipv6-down
%dir /etc/NetworkManager
%dir /etc/NetworkManager/dispatcher.d
/etc/NetworkManager/dispatcher.d/00-netreport
/etc/NetworkManager/dispatcher.d/05-netfs
%doc sysconfig.txt sysvinitfiles mandriva/ChangeLog.gz ChangeLog-RH.gz static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6
/var/lib/stateless
%dir /var/lib/speedboot
%ghost %attr(0664,root,utmp) /var/log/btmp
%ghost %attr(0664,root,utmp) /var/log/wtmp
%ghost %attr(0664,root,utmp) /var/run/utmp
%config(noreplace) /etc/modules
/etc/rc.modules
%dir /etc/modprobe.preload.d/
%ifnarch %{sunsparc}
/usr/sbin/supermount
%endif
/usr/bin/*
%if %{with_systemd}
/lib/systemd/fedora-autorelabel
/lib/systemd/fedora-autoswap
/lib/systemd/fedora-configure
/lib/systemd/fedora-loadmodules
/lib/systemd/fedora-readonly
/lib/systemd/fedora-storage-init
/lib/systemd/mandriva-boot-links
/lib/systemd/mandriva-save-dmesg
/lib/systemd/system/basic.target.wants/fedora-autorelabel.service
/lib/systemd/system/basic.target.wants/fedora-autoswap.service
/lib/systemd/system/basic.target.wants/fedora-configure.service
/lib/systemd/system/basic.target.wants/fedora-loadmodules.service
/lib/systemd/system/basic.target.wants/fedora-sysinit-hack.service
/lib/systemd/system/basic.target.wants/mandriva-boot-links.service
/lib/systemd/system/basic.target.wants/mandriva-everytime.service
/lib/systemd/system/basic.target.wants/mandriva-save-dmesg.service
/lib/systemd/system/ctrl-alt-del.target
/lib/systemd/system/fedora-autorelabel.service
/lib/systemd/system/fedora-autoswap.service
/lib/systemd/system/fedora-configure.service
/lib/systemd/system/fedora-loadmodules.service
/lib/systemd/system/fedora-readonly.service
/lib/systemd/system/fedora-storage-init.service
/lib/systemd/system/fedora-sysinit-hack.service
/lib/systemd/system/fedora-sysinit-unhack.service
/lib/systemd/system/fedora-wait-storage.service
/lib/systemd/system/mandriva-boot-links.service
/lib/systemd/system/mandriva-clean-var-run-lock.service
/lib/systemd/system/mandriva-everytime.service
/lib/systemd/system/mandriva-save-dmesg.service
/lib/systemd/system/local-fs.target.wants/fedora-readonly.service
/lib/systemd/system/local-fs.target.wants/fedora-storage-init.service
/lib/systemd/system/mandriva-kmsg-loglevel.service
/lib/systemd/system/multi-user.target.wants/fedora-sysinit-unhack.service
/lib/systemd/system/sysinit.target.wants/mandriva-clean-var-run-lock.service
/lib/systemd/system/sysinit.target.wants/mandriva-kmsg-loglevel.service
/etc/tmpfiles.d/initscripts.conf
/etc/tmpfiles.d/mandriva.conf
%endif

%files -n debugmode
%config(noreplace) /etc/sysconfig/debug
%config /etc/profile.d/debug*
/etc/tmpfiles.d/initscripts.conf
/etc/tmpfiles.d/mandriva.conf

%changelog
* Sun Jan 22 2017 tele <tele>
- "prefdm", run finish-install before run all the Diplay Managers
- changed name from pclos to uplos in %prep section

* Wed Dec 17 2014 bb <bb> 0.25-19pclos2014
- tweak sysctl.conf based on opensuse kernel

* Thu Dec 11 2014 TerryN <terryn94 at gmail.com> 0.25-18pclos2014
- add code to preserve integrity of changes dev in LiveUSB/persitence mode

* Fri Oct 17 2014 bb <bb< 0.25-17pclos2014
- drop fbdev xorg livecd
- add proper shutdown when fromhdd is used livecd

* Thu Jul 31 2014 pinoc <vogtpet at gmail.com> 0.25-16pclos2014
- added livecd sound fix in posttrans for rc.local  

* Sat Apr 19 2014 bb <bb> 0.25-15pclos2014
- add mounting of debugfs /sys/kernel/debug for 
- usb devices with kernel 3.12.x and up

* Tue Dec 10 2013 billybot <billybot> 9.25-14pclos2013
- hide proc/bus/usb from terminal output

* Mon Jun 03 2013 pinoc <vogtpet at gmail.com> 9.25-13pclos2013
- added updated touchpadfix script by ghostbunny

* Mon Jun 03 2013 pinoc <vogtpet at gmail.com> 9.25-12pclos2013
- fixed typo in touchpad detection in rc.sysinit (line 315)

* Tue May 28 2013 Texstar <texstar at gmail.com> 9.25-11pclos2013
- add pre to backup custom rc.local to /opt folder

* Wed Nov 14 2012 Neal <nealbrks0 at gmail dot com> 9.25-10pclos2012
- process

* Tue Nov 13 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 9.25-10pclos2012
- update of the touchpad script to improve detection and little bugfix

* Tue Nov 06 2012 Neal <nealbrks0 at gmail dot com> 9.25-9pclos2012
- process

* Mon Nov 05 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 9.25-9pclos2012
- fixed rc.sysinit on line 315 added -i option without the touchpad script isn't
  started for elantech and one sort of synaptics touchpads
- little update for the touchpadfix script

* Fri Nov 02 2012 Neal <nealbrks0 at gmail dot com> 9.25-8pclos2012
- process

* Tue Oct 02 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 9.25-8pclos2012
- add patch and script to detect touchpad in live session
- update prefdm for lightdm support
- renamed spec to pclos-initscripts.spec
- recompressed source to xz

* Sat Feb 25 2012 Neal <nealbrks0 at gmail dot com> 9.25-7pclos2012
- process

* Mon Sep 05 2011 Texstar <texstar at gmail.com> 9.25-7pclos2011
- update prefdm for lxdm support

* Tue Aug 02 2011 Texstar <texstar at gmail.com> 9.25-6pclos2011
- fix type in functions script 
 
* Sun Jul 10 2011 Texstar <texstar at gmail.com> 9.25-5pclos2011
- use old halt script

* Sun Jul 10 2011 Texstar <texstar at gmail.com> 9.25-4pclos2011
- fix halt script

* Sun Jul 10 2011 Texstar <texstar at gmail.com> 9.25-3pclos2011
- switch to fbdev for safe video mode

* Sun Jul 10 2011 Texstar <texstar at gmail.com> 9.25-2pclos2011
- fix pidoff in functions to previous version

* Sun Jul 10 2011 Texstar <texstar at gmail.com> 9.25-1pclos2011
- 9.25 plus pclos patches

* Mon May 31 2010 Texstar <texstar at gmail.com> 8.99-22pclos2010
- add fix for speedboot wait pid

* Mon May 03 2010 Texstar <texstar at gmail.com> 8.99-21pclos2010
- move halt.livecd to halt for usbkey in rc.sysinit

* Sun May 02 2010 Texstar <texstar at gmail.com> 8.99-20pclos2010
- move dvd linkage to rc.local

* Sun May 02 2010 Texstar <texstar at gmail.com> 8.99-19pclos2010
- update halt and rc.local

* Wed Apr 14 2010 Texstar <texstar at gmail.com> 8.99-18pclos2010
- don't remove virtualbox-guest additions on first boot

* Sun Apr 11 2010 Texstar <texstar at gmail.com> 8.99-17pclos2010
- fix halt for LiveCD

* Thu Apr 08 2010 Texstar <texstar at gmail.com> 8.99-16pclos2010
- add post script to restore inittab in the event it gets bonkered

* Mon Apr 05 2010 Texstar <texstar at gmail.com> 8.99-15pclos2010
- add code to rc.local for snd-usb-local and set permissions for home

* Fri Mar 26 2010 Texstar <texstar at gmail.com> 8.99-14pclos2010
- remove virtualbox-guest-additions on first boot from installed system

* Fri Mar 12 2010 Texstar <texstar at gmail.com> 8.99-13pclos2010
- fix udev permissions for /dev/sr0 

* Wed Mar 10 2010 Texstar <texstar at gmail.com> 8.99-12pclos2010
- rpm -e draklive-install and remove desktop file on first boot

* Sat Feb 27 2010 Texstar <texstar at gmail.com> 8.99-11pclos2010
- move hwdetect for livecd to rc.sysinit
- add custom mandrake_everytime to speed up boot on livecd

* Thu Feb 25 2010 Texstar <texstar at gmail.com> 8.99-10pclos2010
- fix remove draklive-install.desktop on first boot

* Thu Feb 25 2010 Texstar <texstar at gmail.com> 8.99-9pclos2010
- fix halt script

* Wed Feb 24 2010 Texstar <texstar at gmail.com> 8.99-8pclos2010
- add custom halt script

* Wed Feb 24 2010 Texstar <texstar at gmail.com> 8.99-7pclos2010
- add custom function script

* Sat Feb 06 2010 Texstar <texstar at gmail.com> 8.99-6pclos2010
- add custom rc.sysinit for livecd

* Sat Feb 06 2010 Texstar <texstar at gmail.com> 8.99-5pclos2010
- sync to mdv
- remove false check for volume saving on Mandriva (Mdv bug #57265)
- ensure dm-mod is loaded in speedboot mode too (Mdv bug #57351)
- Ensure loadkeys is called in sequence (Mdv bug #57134)

